-- point.lua
-- 頂点を作成するスクリプト

function main(x,y,z)
  local doc = mc.GetDocument()
  local obj = mc.GetActiveMesh(doc,0)
  if obj ~= nil then
    mc.BeginModify(obj)
    local v = mc.AddVertex(obj, x,y,z)
    mc.EndModify(obj,0)
    print("index",v)
  end
end
